- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstEvent Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
VstInt32 | type
VstInt32 | byteSize
| size of this event, excl. type and byteSize
VstInt32 | deltaFrames
| sample frames related to the current block start sample position
VstInt32 | flags
| generic flags, none defined yet
char | data [16]
| data size may vary, depending on event type

## Detailed Description

A generic timestamped event.

## Member Data Documentation

VstInt32 VstEvent::byteSize

size of this event, excl. type and byteSize

char VstEvent::data[16]

data size may vary, depending on event type

VstInt32 VstEvent::deltaFrames

sample frames related to the current block start sample position

VstInt32 VstEvent::flags

generic flags, none defined yet

VstInt32 VstEvent::type

See also:
  VstEventTypes

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.